#include <qapplication.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qfont.h>
#include <qlayout.h>
#include <qstring.h>

#include "painter.h"
#include "canvas.h"


Painter::Painter( QWidget *parent )
        : QWidget( parent )
{
    setMinimumSize( 500, 355 );

    quit = new QPushButton( tr("Quit") );
    quit->setFont( QFont( "Times", 18, QFont::Bold ) );
    connect( quit, SIGNAL(clicked()), qApp, SLOT(quit()) );

    canvas = new Canvas( this );
	connect( canvas, SIGNAL(changePos()), SLOT(newPosition( )) );

    messpos = new QLabel( );
    messpos->setMaximumHeight( 20 );
    messpos->setFrameStyle( QFrame::WinPanel | QFrame::Sunken );
    // messpos->setBackgroundColor( messpos->colorGroup().base() );
    messpos->setAlignment( Qt::AlignCenter );

	QVBoxLayout *leftBox = new QVBoxLayout;
	leftBox->addWidget( quit );
	leftBox->addWidget( messpos );

    QGridLayout *grid = new QGridLayout( );
	grid->addLayout( leftBox, 0, 0 );
    grid->addWidget( canvas, 0, 1 );
    grid->setColumnStretch( 1, 10 );
	setLayout(grid );
}

void Painter::newPosition( )
{
	int mx, my;

	canvas->getPosition( &mx, &my );
	// mx = canvas->getXPos ( );
	// my = canvas->getYPos ( );
	// mx = 5; my = 7;
    QString s;
	messpos->setText( s.sprintf("%d,%d", mx, my ) );

}
